namespace elm { 
inline ::efl::eolian::return_traits<int>::type Diskselector::side_text_max_length_get() const
{
   int __return_value =  ::elm_obj_diskselector_side_text_max_length_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Diskselector::side_text_max_length_set( ::efl::eolian::in_traits<int>::type len) const
{
    ::elm_obj_diskselector_side_text_max_length_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(len));
}
inline ::efl::eolian::return_traits<bool>::type Diskselector::round_enabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_diskselector_round_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Diskselector::round_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::elm_obj_diskselector_round_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<int>::type Diskselector::display_item_num_get() const
{
   int __return_value =  ::elm_obj_diskselector_display_item_num_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Diskselector::display_item_num_set( ::efl::eolian::in_traits<int>::type num) const
{
    ::elm_obj_diskselector_display_item_num_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(num));
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Diskselector::first_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_first_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type Diskselector::items_get() const
{
   const Eina_List * __return_value =  ::elm_obj_diskselector_items_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Diskselector::last_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_last_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Diskselector::selected_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_selected_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Diskselector::item_append( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type icon,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_item_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label)
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(icon)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Diskselector::clear() const
{
    ::elm_obj_diskselector_clear(this->_eo_ptr());
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<int>::type Diskselector::side_text_max_length_get() const
{
   int __return_value =  ::elm_obj_diskselector_side_text_max_length_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Diskselector::side_text_max_length_set( ::efl::eolian::in_traits<int>::type len) const
{
    ::elm_obj_diskselector_side_text_max_length_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(len));
}
inline ::efl::eolian::return_traits<bool>::type Diskselector::round_enabled_get() const
{
   Eina_Bool __return_value =  ::elm_obj_diskselector_round_enabled_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Diskselector::round_enabled_set( ::efl::eolian::in_traits<bool>::type enabled) const
{
    ::elm_obj_diskselector_round_enabled_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(enabled));
}
inline ::efl::eolian::return_traits<int>::type Diskselector::display_item_num_get() const
{
   int __return_value =  ::elm_obj_diskselector_display_item_num_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Diskselector::display_item_num_set( ::efl::eolian::in_traits<int>::type num) const
{
    ::elm_obj_diskselector_display_item_num_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(num));
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Diskselector::first_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_first_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type Diskselector::items_get() const
{
   const Eina_List * __return_value =  ::elm_obj_diskselector_items_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Diskselector::last_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_last_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Diskselector::selected_item_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_selected_item_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Diskselector::item_append( ::efl::eolian::in_traits< ::efl::eina::string_view>::type label,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type icon,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type func,  ::efl::eolian::in_traits<void const*>::type data) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_diskselector_item_append(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(label)
      ,  ::efl::eolian::convert_to_c< ::Efl_Canvas_Object*,  ::efl::eolian::in_traits< ::efl::canvas::Object>::type>(icon)
      ,  ::efl::eolian::convert_to_c<Evas_Smart_Cb,  ::efl::eolian::in_traits< ::efl::eina::optional<Evas_Smart_Cb>>::type>(func)
      ,  ::efl::eolian::convert_to_c<const void *,  ::efl::eolian::in_traits<void const*>::type>(data));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Diskselector::clear() const
{
    ::elm_obj_diskselector_clear(this->_eo_ptr());
}
inline elm::Diskselector::operator ::elm::Diskselector() const { return *static_cast< ::elm::Diskselector const*>(static_cast<void const*>(this)); }
inline elm::Diskselector::operator ::elm::Diskselector&() { return *static_cast< ::elm::Diskselector*>(static_cast<void*>(this)); }
inline elm::Diskselector::operator ::elm::Diskselector const&() const { return *static_cast< ::elm::Diskselector const*>(static_cast<void const*>(this)); }
} }

